# Get matter file

Retrieve information about a file on a matter

Endpoint: GET /v2/matters/{matterId}/files/{fileId}

## Path parameters:

  - `matterId` (integer, required)
    The system identifier for the matter

  - `fileId` (integer, required)
    The system identifier for the file

## Response 200 fields (application/json):

  - `id` (integer)
    The system identifier for the file
    Example: 9456

  - `name` (string)
    The user defined name of the file resource
For file resources with a type of file this includes the file extension
    Example: Standard NDA.docx

  - `displayId` (string)
    A system generated identifier of the file resource.
Also known as "Document ID"
    Example: LV0001-0000123.1

  - `type` (string)
    The type of file resource
    Enum: "File", "Folder", "ContractDocument"

  - `folder` (object)
    The folder where the file resource is located 

Folder is null when the file resource is located at the root of the resource

  - `folder.folder` (object)
    The parent folder. 

The folder will be null when the folder is at the root of the resource

  - `folder.id` (integer)
    The system identifier for the folder
    Example: 786

  - `folder.name` (string)
    The name of the folder
    Example: Drafts

  - `contentType` (string)
    The content type of the file binary
    Example: text/plain

  - `resource` (object)
    The resource where the file resource is located within

  - `resource.id` (integer)
    The system identifier for the resource
    Example: 78914

  - `resource.type` (string)
    The type of the resource
    Enum: "Contract", "Matter"

  - `restricted` (boolean)
    Is the file resource access restricted
    Example: false

  - `size` (integer)
    The size of the file binary in bytes
    Example: 18139

  - `version` (integer)
    The version of the file
    Example: 3

  - `created` (object)
    The user who created the file resource and when

  - `created.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `created.user` (object)
    The user who performed the action

  - `created.user.email` (string)
    The email address of the user
    Example: api.developer@lawvu.com

  - `created.user.firstName` (string)
    The first name of the user
    Example: Api

  - `created.user.id` (string)
    The unique identifier of the user
    Example: f0f1e06e-3005-4093-af7f-1934d55617e1

  - `created.user.lastName` (string)
    The last name of the user
    Example: Developer

  - `created.user.organization` (object)
    The organization the user belongs to

  - `created.user.organization.id` (integer)
    The system identifier for the organization
    Example: 8134

  - `created.user.organization.name` (string)
    The name of the organization
    Example: Api Development Organization

  - `created.user.organizationId` (integer)
    The system identifier for the organization
    Example: 8134

  - `created.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

  - `modified` (object)
    The username who modified the file resource and when

  - `modified.dateUtc` (string)
    The date and time the action was performed. The date and time uses the ISO-8601 format and will be in UTC
    Example: 2024-12-25T00:00:00Z

  - `modified.userName` (string)
    The username of who performed the action
    Example: api.developer@lawvu.com

## Response 404 fields (application/problem+json):

  - `detail` (string)
    More information about the problem.

  - `instance` (string)
    The URI of the resource which the error relates to.

  - `operationId` (string)
    A unique trace identifier for the request. This should be provided when requesting support.

  - `status` (integer)
    The HTTP status code for the problem.

  - `title` (string)
    A short description of the error.

  - `type` (string)
    A URI which can be followed to find out more about the problem.

